Permissions

List all permissions for an API key

get
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

apiKeyIdstringRequired

The id of the team

Query parameters
offsetinteger · int32Optional

The offset into queried items to return

limitinteger · int32 · max: 100Optional

How many items to return at one time (max 100)

Responses
get
/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}/permissions

Create an API Key permission

post
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

apiKeyIdstringRequired

The id of the API key

Body
projectIdstringRequired
Responses
post
/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}/permissions

Delete an API Key permission

delete
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

apiKeyIdstringRequired

The id of the API key

permissionIdstringRequired

The id of the permission

Responses
delete
/v1/identity/organizations/{organizationId}/api-keys/{apiKeyId}/permissions/{permissionId}

No content

Was this helpful?